 /*
 * MAIN Generated Driver File
 * 
 * @file main.c
 * 
 * @defgroup main MAIN
 * 
 * @brief This is the generated driver implementation file for the MAIN driver.
 *
 * @version MAIN Driver Version 1.0.2
 *
 * @version Package Version: 3.1.2
*/

/*
 [2024] Microchip Technology Inc. and its subsidiaries.

    Subject to your compliance with these terms, you may use Microchip 
    software and any derivatives exclusively with Microchip products. 
    You are responsible for complying with 3rd party license terms  
    applicable to your use of 3rd party software (including open source  
    software) that may accompany Microchip software. SOFTWARE IS ?AS IS.? 
    NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS 
    SOFTWARE, INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT,  
    MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT 
    WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY 
    KIND WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF 
    MICROCHIP HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE 
    FORESEEABLE. TO THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP?S 
    TOTAL LIABILITY ON ALL CLAIMS RELATED TO THE SOFTWARE WILL NOT 
    EXCEED AMOUNT OF FEES, IF ANY, YOU PAID DIRECTLY TO MICROCHIP FOR 
    THIS SOFTWARE.
*/

// esempio scaricato da https://www.settorezero.com

#include "mcc_generated_files/system/system.h"

static void Timer0_Callback(void);
static const struct TMR_INTERFACE *Tmr0 = &Timer0;
#define DELAYFORCHANGEDUTY  5 // every this value multiplied by tmr0 interrupt, duty cycle will change
#define DUTYMIN 20
#define DUTYMAX 1020
uint16_t DutyCycleVal=511;

int main(void)
{
    SYSTEM_Initialize();
    INTERRUPT_GlobalInterruptEnable(); 
    INTERRUPT_PeripheralInterruptEnable(); 
    Tmr0->TimeoutCallbackRegister(Timer0_Callback);
    while(1)
    {
    }    
}

void Timer0_Callback(void)
    {
    // interrupt every 1ms    
    static uint16_t DelayForChangeDutyCounter=DELAYFORCHANGEDUTY;
    static bool DutyDirection=true;
    static uint16_t tmrled=500;
    
    DelayForChangeDutyCounter--;
    if (DelayForChangeDutyCounter==0)
        {
        DelayForChangeDutyCounter=DELAYFORCHANGEDUTY;
		if (DutyDirection)
				{
				DutyCycleVal-=5;
				}
			else
				{
				DutyCycleVal+=5;
				}
		if ((DutyCycleVal<=DUTYMIN) || (DutyCycleVal>=DUTYMAX))
            {
			DutyDirection^=1;
			}
        PWM3_LoadDutyValue(DutyCycleVal);
        }

    tmrled--;
    if (tmrled==0)
        {
        LED_Toggle();
        tmrled=500;
        }

    }

